Skip to content

List



GET /api/v1/field_cfg/list

Overview

Retrieve the field management list, including built-in and custom field configurations.

Query Parameters

Parameter Type Required Description
search string Field name search
Allow empty: False
pageIndex integer Page number
Allow empty: False
Example: 10
$minValue: 1
pageSize integer Number of items per page
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 1000

Parameter Supplement

Data Description

  • Related response field descriptions
Parameter type Description
sysField string Whether it is a built-in field, 1: built-in, 0: custom. Built-in fields do not support modification.

Request Example

curl 'https://openapi.guance.com/api/v1/field_cfg/list?pageIndex=1&pageSize=5' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "alias": "Host",
                "aliasEn": "Host",
                "aliasI18n": {
                    "zh": "主机",
                    "en": "Host",
                    "zh-hant": "主機",
                    "id": "Host"
                },
                "createAt": 1735628856,
                "creator": "wsak_73a0ad39c352477a9417f633670a0908",
                "creatorInfo": {
                    "email": "wsak_73a0ad39c352477a9417f633670a0908",
                    "iconUrl": "",
                    "mobile": "",
                    "name": "jon test",
                    "status": 0,
                    "username": "jon test",
                    "uuid": "wsak_73a0ad39c352477a9417f633670a0908",
                    "wsAccountStatus": 0
                },
                "desc": "Host name",
                "descEn": "Host name",
                "descI18n": {
                    "zh": "主机名称",
                    "en": "Host name",
                    "zh-hant": "主機名稱",
                    "id": "Nama host"
                },
                "fieldSource": "logging",
                "fieldType": "string",
                "name": "host",
                "sysField": 0,
                "unit": "",
                "updateAt": 1735635731,
                "updator": "wsak_73a0ad39c352477a9417f633670a0908",
                "updatorInfo": {},
                "uuid": "field_0f95016f7254494da088d878ce586477"
            }
        ],
        "declaration": {
            "business": "",
            "organization": "default_private_organization"
        }
    },
    "errorCode": "",
    "message": "",
    "pageInfo": {
        "count": 1,
        "pageIndex": 1,
        "pageSize": III,
        "totalCount": 1
    },
    "success": true,
    "traceId": "TRACE-867A8BDB-A853-4FDD-BE9E-8E528FCB9C35"
}

Feedback

Is this page helpful? ×